## emacs 28.2+1

=== debian/changelog ===
emacs (1:28.2+1-8) unstable; urgency=high

  * Fix ctags local command execution vulnerability (CVE-2022-45939)
    (Closes: #1025009).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Dec 2022 18:44:21 -0700

emacs (1:28.2+1-7) unstable; urgency=medium

  * Drop unused gcc-12 and libmagick++-6.q16-dev build-deps.

  * Add liblcms2-dev build-dep.

  * d/copyright: Fix format of Upstream-Contact field.

  * d/copyright: Fix the names of upstream's release tag and our tarball.
    Introduce a new substitution variable, DEBORIG_VERSION.

  * Run 'wrap-and-sort -st'
    Additionally apply the changes to d/copyright.in.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 27 Nov 2022 17:37:32 -0700

emacs (1:28.2+1-6) unstable; urgency=medium

  * Mark two flaky tests as unstable.
    test-undo-region is failing on Debian arch:all autobuilders, and
    process-tests/multiple-threads-waiting randomly fails locally and on
    autobuilders. (Closes: #1024060)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Nov 2022 13:13:12 -0700

emacs (1:28.2+1-5) unstable; urgency=medium

  * Fix large core dumps from background processes.
    Add 0013-Fix-large-core-dumps-from-background-processes.patch to fix
    the problem. (Closes: #1017711)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Nov 2022 13:44:02 -0700

emacs (1:28.2+1-4) unstable; urgency=medium

  * Fix eln files not being generated by native-comp-async.
    Add 0012-Fix-eln-files-not-being-generated-when-native-comp-a.patch to
    fix the problem.  Thanks to Youhei SASAKI and Tatsuya Kinoshita for
    reporting the problem and indicating the upstream fix to backport
    (Closes: #1023440).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 08 Nov 2022 12:32:50 -0700

emacs (1:28.2+1-3) unstable; urgency=medium

  * Avoid fork bomb caused by native compilation trampolines.
    Add 0011-Avoid-fork-bomb-caused-by-native-compilation-trampol.patch to
    fix the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Oct 2022 15:41:35 -0700

emacs (1:28.2+1-2) unstable; urgency=medium

  * Avoid fork bomb caused by native compilation.  Add
    0010-Avoid-fork-bomb-caused-by-native-compilation.patch to fix the
    problem.  Thanks to Aymeric Agon-Rambosson for help backporting the
    patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Oct 2022 18:41:26 -0700

emacs (1:28.2+1-1) unstable; urgency=medium

  * Merge upstream version 28.2.

  * Add myself, Sean Whitton, to Uploaders field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Oct 2022 16:32:09 -0700

emacs (1:28.1+1-4) unstable; urgency=medium

  [ Rob Browning ]
  * debian/rules: don't set debian CFLAGS to -O0 on arm64 anymore.  It
    looks like this may be fixed now.  Let's see.

  * Disable debian mips64el native compilation given ABI incompatibility.
    Currently ./configure fails on eller.debian.org (mipsel host with
    mips64 sbuild chroot) with this in the config.log: Error: -march=mips1
    is not compatible with the selected ABI.

  * Disable debian s390x native compilation to avoid build crashes.
    cf. https://debbugs.gnu.org/57789

  * Fix pdumper alignment problem causing m68k build failures.  Add
    0009-pdumper-set-DUMP_RELOC_ALIGNMENT_BITS-1-for-m68k.patch to address
    the issue.  Thanks to John Paul Adrian Glaubitz for the
    patch. (Closes: 1019130)

  * Ignore lintian shared-library-lacks-prerequisites for eln files.

  * Don't crash when the ~/.emacs.d/eln-cache isn't writable.  Add
    0010-Emacs-should-no-longer-crash-when-the-eln-cache-isn-.patch to fix
    the problem.  Thanks to David Bremner for helping pursue the issue.

  [ Nicholas D Steeves ]
  * Don't enable Debian systemd unit by default.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 26 Sep 2022 20:27:06 -0500

emacs (1:28.1+1-3) unstable; urgency=medium

  * Have emacs-common depend on emacs-el until the crash is resolved.
    This should mitigate a whole raft of bugs, some of which have been
    merged into #1017698.

  * debian/copyright: fix DEP-5 format errors.  Have one upstream-contact
    with multiple values (DEP-5), and separate paragraphs in comments with
    " ." lines.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 07 Sep 2022 16:08:01 -0500

emacs (1:28.1+1-2) unstable; urgency=medium

  * Switch from gcc 11 to 12.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 20 Aug 2022 17:02:41 -0500

emacs (1:28.1+1-1) unstable; urgency=medium

  * Merge upstream version 28.1. (Closes: #1009169)

  * Update debian/copyright for 28.1.

  * Drop 0008-Don-t-downcase-real-xref-in-elisp-mode-tests.patch.  This
    appears to have been addressed upstream, and now the patch just breaks
    the tests.

  * debian/rules: configure --with-libsystemd not --enable-libsystemd.
    The latter doesn't appear to be a supported option.

  * debian/control: recommend fonts-noto-color-emoji.  See "** Improved
    support for Emoji" in the 28.1 NEWS.

  * debian/rules: update copyrights; rely on dpkg pkg-info.mk for src_name
    and debian_ver; rely on dpkg architecture.mk for DEB_HOST_*
    DEB_BUILD_*.; move libexecdir /usr/lib to /usr/libexec.

  * debian/emacs.desktop: add upstream "StartupNotify=true".

  * debian/compat: upgrade from 10 to 13.

  * Enable native compilation for debian.  Thanks to Aymeric
    Agon-Rambosson for noting that the native-lisp tree is flavor
    specific.

  * debian/control: add ca-certificates build dependency for tests.  The
    process-async-https-with-delay test depends on it.

  * debian/changelog: add 1:27.1+1-3.1 NMU.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 15 Jul 2022 17:26:23 -0500
