=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  bsd-mailx | mailx,
  ca-certificates,
  dbus-x11,
- debhelper (>= 10),
+ gcc-13,
+ debhelper-compat (= 13),
  dpkg-dev (>> 1.10.0),
  git,
  gnupg-agent,
@@ -18,7 +19,7 @@
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libcairo-dev,
  libdbus-1-dev,
- libgccjit-12-dev,
+ libgccjit-13-dev,
  libgif-dev,
  libgmp-dev,
  libgnutls28-dev,
@@ -30,14 +31,17 @@
  liblcms2-dev,
  liblockfile-dev,
  libm17n-dev,
- libncurses5-dev,
+ libncurses-dev,
  liboss4-salsa-dev [hurd-i386 kfreebsd-i386 kfreebsd-amd64],
  libotf-dev,
  libpng-dev,
  librsvg2-dev,
  libselinux1-dev [linux-any],
+ libsqlite3-dev,
  libsystemd-dev,
  libtiff-dev,
+ libtree-sitter-dev,
+ libwebp-dev,
  libxaw7-dev,
  libxml2-dev,
  procps,
@@ -54,7 +58,7 @@
 Package: emacs
 Architecture: all
 Depends:
- emacs-gtk (>= 1:27.1) | emacs-lucid (>= 1:27.1) | emacs-nox (>= 1:27.1),
+ emacs-gtk (>= 1:27.1) | emacs-pgtk (>= 1:27.1) | emacs-lucid (>= 1:27.1) | emacs-nox (>= 1:27.1),
  ${misc:Depends},
 Description: GNU Emacs editor (metapackage)
  GNU Emacs is the extensible self-documenting text editor.
@@ -71,8 +75,8 @@
 Provides: editor, emacs, emacsen, info-browser, mail-reader, news-reader
 Recommends: fonts-noto-color-emoji
 Suggests: emacs-common-non-dfsg
-Conflicts: emacs-gtk, emacs-nox
-Replaces: emacs-gtk, emacs-nox
+Conflicts: emacs-gtk, emacs-pgtk, emacs-nox
+Replaces: emacs-gtk, emacs-pgtk, emacs-nox
 Description: GNU Emacs editor (with Lucid GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs with support for a graphical user
@@ -93,8 +97,8 @@
  ${shlibs:Depends},
 Provides: editor, emacs, emacsen, info-browser, mail-reader, news-reader
 Suggests: emacs-common-non-dfsg
-Conflicts: emacs-gtk, emacs-lucid
-Replaces: emacs-gtk, emacs-lucid
+Conflicts: emacs-gtk, emacs-pgtk, emacs-lucid
+Replaces: emacs-gtk, emacs-pgtk, emacs-lucid
 Description: GNU Emacs editor (without GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs compiled without support for X,
@@ -110,13 +114,36 @@
 Provides: editor, emacs, emacsen, info-browser, mail-reader, news-reader
 Recommends: fonts-noto-color-emoji
 Suggests: emacs-common-non-dfsg
-Conflicts: emacs-lucid, emacs-nox
-Replaces: emacs-lucid, emacs-nox
+Conflicts: emacs-pgtk, emacs-lucid, emacs-nox
+Replaces: emacs-pgtk, emacs-lucid, emacs-nox
 Description: GNU Emacs editor (with GTK+ GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs with a graphical user interface
- based on GTK+ (instead of the Lucid toolkit provided by the
- emacs-lucid package).
+ based on GTK+ for X11 and Wayland (instead of the Lucid toolkit
+ provided by the emacs-lucid package).
+ .
+ If you are using Wayland, you may wish to install emacs-pgtk instead.
+
+Package: emacs-pgtk
+Architecture: any
+Depends:
+ emacs-bin-common (= ${binary:Version}),
+ emacs-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: editor, emacs, emacsen, info-browser, mail-reader, news-reader
+Recommends: fonts-noto-color-emoji
+Suggests: emacs-common-non-dfsg
+Conflicts: emacs-gtk, emacs-lucid, emacs-nox
+Replaces: emacs-gtk, emacs-lucid, emacs-nox
+Description: GNU Emacs editor (with GTK+ Wayland GUI support)
+ GNU Emacs is the extensible self-documenting text editor.  This
+ package contains a version of Emacs with a graphical user interface
+ based on GTK+ for Wayland.
+ .
+ If you are using exclusively X11, install emacs-gtk instead.  The
+ PGTK port works less well than the standard GTK+ build in a number of
+ respects.
 
 Package: emacs-bin-common
 Architecture: any
@@ -125,12 +152,12 @@
 Description: GNU Emacs editor's shared, architecture dependent files
  GNU Emacs is the extensible self-documenting text editor.
  This package contains the architecture dependent infrastructure
- that's shared by emacs-gtk, emacs-lucid, and emacs-nox.
+ that's shared by emacs-gtk, emacs-pgtk, emacs-lucid, and emacs-nox.
 
 Package: emacs-common
 Architecture: all
 Depends: emacs-el, emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
-Recommends: emacs-el
+#Recommends: emacs-el
 Suggests: emacs-common-non-dfsg, ncurses-term
 Conflicts:
  cedet,
@@ -142,28 +169,18 @@
  apel (<< 10.8+0.20120427-4),
  edb (<< 1.32),
  egg (<< 4.2.0-2),
+ elpa-cider (<< 0.19.0+dfsg-4~),
  emacs (<< 1:25),
+ emacs-bin-common (<< 1:28),
  emacs-gtk (<< 1:25),
  emacs-lucid (<< 1:25),
  emacs-nox (<< 1:25),
- emacs21,
- emacs21-nox,
- emacs22,
- emacs22-gtk,
- emacs22-nox,
- emacs23,
- emacs23-lucid,
- emacs23-nox,
- emacs24,
- emacs24-lucid,
- emacs24-nox,
- emacs25,
- emacs25-lucid,
- emacs25-nox,
+Replaces:
+ emacs-bin-common (<< 1:28)
 Description: GNU Emacs editor's shared, architecture independent infrastructure
  GNU Emacs is the extensible self-documenting text editor.
  This package contains the architecture independent infrastructure
- that's shared by emacs-gtk, emacs-lucid, and emacs-nox.
+ that's shared by emacs-gtk, emacs-pgtk, emacs-lucid, and emacs-nox.
 
 Package: emacs-el
 Architecture: all
