=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # Copyright 2019 Andreas Beckmann <anbe@debian.org>
 # Copyright 1994,1995 Ian Jackson
-# Copyright 2004-2005 Jrme Marant <jerome@debian.org>
+# Copyright 2004-2005 Jérôme Marant <jerome@debian.org>
 # Copyright 1998-2020, 2022 Rob Browning <rlb@defaultvalue.org>
 
 # Originally copied from the GNU Hello Debian rules file (1.3).
@@ -22,6 +22,7 @@
 #export DH_VERBOSE=1
 
 SHELL := /bin/bash
+TERM := linux
 quilt := QUILT_PATCHES=debian/patches QUILT_PATCHES_PREFIX=y quilt
 pf := set -o pipefail
 
@@ -124,7 +125,10 @@
   debian/emacs-lucid.prerm \
   debian/emacs-gtk.lintian-overrides \
   debian/emacs-gtk.postinst \
-  debian/emacs-gtk.prerm
+  debian/emacs-gtk.prerm \
+  debian/emacs-pgtk.lintian-overrides \
+  debian/emacs-pgtk.postinst \
+  debian/emacs-pgtk.prerm
 
 autogen_build_files := \
   $(nonpersistent_autogen_build_files) $(persistent_autogen_build_files)
@@ -143,11 +147,13 @@
 pkgdir_common := $(CURDIR)/debian/emacs-common
 pkgdir_bin_common := $(CURDIR)/debian/emacs-bin-common
 pkgdir_gtk := $(CURDIR)/debian/emacs-gtk
+pkgdir_pgtk := $(CURDIR)/debian/emacs-pgtk
 pkgdir_nox := $(CURDIR)/debian/emacs-nox
 pkgdir_lucid := $(CURDIR)/debian/emacs-lucid
 pkgdir_el := $(CURDIR)/debian/emacs-el
 
 install_dir_gtk := $(CURDIR)/debian/install-gtk
+install_dir_pgtk := $(CURDIR)/debian/install-pgtk
 install_dir_nox := $(CURDIR)/debian/install-nox
 install_dir_lucid := $(CURDIR)/debian/install-lucid
 
@@ -215,13 +221,7 @@
 debian/emacs-gtk.%: xsupport := "gtk"
 debian/emacs-gtk.%: pkg_name := emacs-gtk
 
+debian/emacs-pgtk.%: xsupport := "pgtk"
+debian/emacs-pgtk.%: pkg_name := emacs-pgtk
+
 debian/emacs-nox.%: xsupport := "nox"
-debian/emacs-nox.%: pkg_name := emacs-nox
-
-debian/emacs-lucid.%: xsupport := "lucid"
-debian/emacs-lucid.%: pkg_name := emacs-lucid
-
-debian/emacs-common.%: pkg_name := emacs-common
-debian/emacs-bin-common.%: pkg_name := emacs-bin-common
-
-debian/%: debian/%.in debian/changelog debian/rules
