## emacs 29.3+1

=== debian/changelog ===
emacs (1:29.3+1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:56 +1100

emacs (1:29.3+1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 14:54:42 +0100

emacs (1:29.3+1-1) unstable; urgency=high

  * Merge upstream version 29.3.  Thanks to David Bremner for the
    report. (Closes: 1067630)

  * Update debian/copyright for 29.3

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Mar 2024 16:30:50 -0500

emacs (1:29.2+1-2) unstable; urgency=medium

  * Fix Breaks/Replaces by prepending missing epoch (Closes: #1064851)

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Feb 2024 09:26:29 +0800

emacs (1:29.2+1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Feb 2024 21:10:39 +0100

emacs (1:29.2+1-1) unstable; urgency=medium

  [ Rob Browning ]
  * Give each Emacs flavor its own emacsclient.
    Move emacsclient from emacs-bin-common to the emacsVER (i.e.
    emacs-lucid, emacs-gtk, ...) packages so that each one will have the
    binary that was built for that flavor.

    Explicitly list the variant and common bin alternatives instead of
    globbing.  Add the alternatives variables to deb_sub so we don't need
    the separate perl -i substitutions.

    Stop splitting some of the debian/rules $(call ...) invocations across
    two lines because it was introducing a space into the argument value
    which would then break quoted expansions like "$(1)...".

    Thanks to Wang Yizhen & others for discussion.
    Closes: #1050953.  See also: #1043060.

  * Generate README.Debian from patch README-Debian psuedo-headers.

    Rework debian/patch-to-news to generate the README.Debian entry from a
    README-Debian DEP-3-style psuedo-header, when present.  The header's
    syntax is similar to the debian/control Description format.  Among
    other things, this change makes the common case of cherry-picking
    upstream patches easier, and less invasive, since in many cases, a
    simple README-Debian header can be appended while adding the other
    headers, instead of (as previously) reindenting the upstream commit, etc.

  * Adjust debian/patches for the new patch-to-news.

  * debian/emacs-common.README.in: drop vestigial ".elc removal" notice.
    Long irrelevant since switching to base the packaging on the upstream
    source repository.

  * debian/emacs-common.README.in: match NEWS mode/format vars.

  [ Sean Whitton ]
  * Merge upstream version 29.2.

  * debian/control: Add Breaks/Replaces for emacsclient package move.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Feb 2024 16:55:58 +0800

emacs (1:29.1+1-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 12:03:23 +0200

emacs (1:29.1+1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - d/rules: set native compilation on riscv64 instead of using gcc-12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Aug 2023 08:59:23 +0200

emacs (1:29.1+1-2ubuntu2) mantic; urgency=medium

  * set gcc-12 on riscv64 to fix a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 23:58:33 +0200

emacs (1:29.1+1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - set TERM to linux to avoid test failures with unknown terminal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 01:28:59 +0200

emacs (1:28.2+1-16ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:56:19 +0200

emacs (1:28.2+1-15ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - use gcc-13 on riscv64 to fix an issue with libgccjit
      (See LP bug 2011487)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 May 2023 09:03:06 +0200

emacs (1:28.2+1-14ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - use gcc-13 on riscv64 to fix an issue with libgccjit
      (See LP bug 2011487)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:54:34 +0200

emacs (1:28.2+1-13ubuntu3) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - use gcc-13 on riscv64 to fix an issue with libgccjit
      (See LP bug 2011487)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Mar 2023 07:44:21 +0100

emacs (1:28.2+1-12ubuntu1) lunar; urgency=medium


