=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Copyright 2019 Andreas Beckmann <anbe@debian.org>
 # Copyright 1994,1995 Ian Jackson
 # Copyright 2004-2005 Jérôme Marant <jerome@debian.org>
-# Copyright 1998-2020, 2022 Rob Browning <rlb@defaultvalue.org>
+# Copyright 1998-2020, 2022-2023 Rob Browning <rlb@defaultvalue.org>
 
 # Originally copied from the GNU Hello Debian rules file (1.3).
 # Modified for emacs by Mark Eichin <eichin@kitten.gen.ma.us>.
@@ -91,6 +91,13 @@
 
 deb_host_multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+  # Building the package with -O3 on ppc64el will cause the
+  # lcms-cri-cam02-ucs test to fail.
+  export DEB_CFLAGS_MAINT_STRIP = -O3
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
+
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
@@ -100,6 +107,11 @@
 ifeq (,$(joblimit))
   joblimit := 1
 endif
+
+# Separate alternatives into variant (flavor) specific and common.
+# For now, we only handle /usr/bin.
+var_alternatives := emacsclient
+common_alternatives := ctags ebrowse etags
 
 # Info files that are going to show up in the main dir.
 main_dir_info_files := efaq.info
@@ -194,6 +206,8 @@
     -e "s|\@MENU_VERSION\@|$(menu_ver)|go;" \
     -e "s|\@X_SUPPORT\@|$(xsupport)|go;" \
     -e "s|\@BIN_PRIORITY\@|$(bin_priority)|go;" \
+    -e "s|\@DEB_VAR_ALTERNATIVES\@|$(var_alternatives)|go;" \
+    -e "s|\@DEB_COMMON_ALTERNATIVES\@|$(common_alternatives)|go;" \
       < $(1) > $(2)
 endef
 
@@ -206,22 +220,3 @@
 	@echo "debian_ver: $(debian_ver)"
 	@echo "debsrc_ver: $(debsrc_ver)"
 	@echo "deborig_ver: $(deborig_ver)"
-	@echo "debian_rev: $(debian_rev)"
-	@echo "runtime_ver: $(runtime_ver)"
-	@echo "major_ver: $(major_ver)"
-	@echo "minor_ver: $(minor_ver)"
-
-.PHONY: check-autogen
-check-autogen: $(persistent_autogen_files) $(nonpersistent_autogen_files)
-
-debian-sync: $(persistent_autogen_files)
-        # so dh pattern rule doesn't try to handle this target
-	true
-
-debian/emacs-gtk.%: xsupport := "gtk"
-debian/emacs-gtk.%: pkg_name := emacs-gtk
-
-debian/emacs-pgtk.%: xsupport := "pgtk"
-debian/emacs-pgtk.%: pkg_name := emacs-pgtk
-
-debian/emacs-nox.%: xsupport := "nox"
